Package net.shibboleth.idp.saml.profile.impl

# Class SpringAwareMessageEncoderFactory

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.saml.profile.impl.SpringAwareMessageEncoderFactory

All Implemented Interfaces:
  `Function<ProfileRequestContext,MessageEncoder>`, `Component`, `DestructableComponent`, `InitializableComponent`, `Aware`, `ApplicationContextAware`

@ThreadSafeAfterInit public class SpringAwareMessageEncoderFactory extends AbstractInitializableComponent implements Function<ProfileRequestContext,MessageEncoder>, ApplicationContextAware
A function that returns the correct `MessageEncoder` to use based on an underlying `BindingDescriptor`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ApplicationContext`
`applicationContext`
Application context injected by surroundings.
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`SpringAwareMessageEncoderFactory()`

## Method Summary

Modifier and Type
Method
Description
`MessageEncoder`
`apply(ProfileRequestContext profileRequestContext)`
`void`
`setApplicationContext(ApplicationContext context)`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### applicationContext

@Nullable private ApplicationContext applicationContext
Application context injected by surroundings.

## Constructor Details

### SpringAwareMessageEncoderFactory

public SpringAwareMessageEncoderFactory()

## Method Details

### setApplicationContext

public void setApplicationContext(@Nullable ApplicationContext context)

Specified by:
  `setApplicationContext` in interface `ApplicationContextAware`

### apply

@Nullable public MessageEncoder apply(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,MessageEncoder>`